/*---------------------------------------------------------+
I                                                          I
I  Module            : rs232                               I
I                                                          I
I  Creation          : 22 Mars      1991                   I
I  Derniere revision : 14 Septembre 1992                   I
I                                                          I
I  Auteur            : G. Grimonprez                       I
I                                                          I
I                                                          I
I  INTERFACE                                               I
I                                                          I
I Tous les #define                                         I
I                                                          I
I void init_controleur(                                    I
I      int mode_reception,     INTERRUPT ou POLLING        I
I      int numero_port,        COM1 ou COM2                I
I      unsigned long int baud, 1 a 115200                  I
I      int nb_bits_donnee,     5 a 8                       I
I      int nb_bits_arret,      1 ou 2                      I
I      int parite,             SANS, PAIRE ou IMPAIRE      I
I      int max_time            Nombre de secondes          I
I		     );                                    I
I                                                          I
I char     reception_octet(void);                          I
I                                                          I
I void     emission_octet(char c);                         I
I                                                          I
I void     restaure_controleur(void);                      I
I                                                          I
+---------------------------------------------------------*/

/*---------------------------------------------------------+
I                            INCLUDES                      I
+---------------------------------------------------------*/

#include "stddcl.h"

/*---------------------------------------------------------+
I                            DEFINES                       I
+---------------------------------------------------------*/

#define SANS        0
#define PAIRE       1
#define IMPAIRE     2
#define COM1        1
#define COM2        2
#define INTERRUPT   1
#define POLLING     0

#define NUL         0
#define SOH         1
#define STX         2
#define ETX         3
#define EOT         4
#define ENQ         5
#define ACK         6
#define BEL         7
#define BS          8
#define HT          9
#define LF          10
#define VT          11
#define FF          12
#define CR          13
#define SO          14
#define SI          15
#define DLE         16
#define DC1         17
#define DC2         18
#define DC3         19
#define DC4         20
#define NAK         21
#define SYN         22
#define ETB         23
#define CAN         24
#define EM          25
#define SUB         26
#define ESC         27
#define FS          28
#define GS          29
#define RS          30
#define US          31
#define DEL         127

/*---------------------------------------------------------+
I                      PROTOTYPES                          I
+---------------------------------------------------------*/

extern "C" void dump(char *message,unsigned char *pointeur,int nb_octets);
extern "C" void init_controleur(int mode_reception,int numero_port,
		     unsigned long int baud,int nb_bits_donnee,
		     int nb_bits_arret,int parite,int max_time);
extern "C" char     reception_octet(void);
extern "C" void     emission_octet(char c);
extern "C" void restaure_controleur(void);


